# This file created by conda-build 3.21.4
# meta.yaml template originally from:
# D:\a\1\s\recipe, last modified Tue Jun 29 15:38:01 2021
# ------------------------------------------------

package:
  name: r-mlr3misc
  version: 0.9.2
source:
  sha256: 7e36c8fa547d4f0c434daab4a156c6db50438bce157dc50d95277d20b2069a0a
  url:
    - https://cran.r-project.org/src/contrib/Archive/mlr3misc/mlr3misc_0.9.2.tar.gz
    - https://cran.r-project.org/src/contrib/mlr3misc_0.9.2.tar.gz
build:
  merge_build_host: true
  number: '0'
  rpaths:
    - lib/
    - lib/R/lib/
  string: r40h6d2157b_0
requirements:
  build:
    - m2-bash 4.3.042 5
    - m2-coreutils 8.25 102
    - m2-filesystem 2016.04 4
    - m2-gcc-libs 5.3.0 4
    - m2-gmp 6.1.0 3
    - m2-libbz2 1.0.6 3
    - m2-libiconv 1.14 3
    - m2-libintl 0.19.7 4
    - m2-make 4.1 5
    - m2-msys2-runtime 2.5.0.17080.65c939c 3
    - m2-sed 4.2.2 3
    - m2-zip 3.0 2
    - m2w64-binutils 2.25.1 5
    - m2w64-bzip2 1.0.6 6
    - m2w64-crt-git 5.0.0.4636.2595836 2
    - m2w64-gcc 5.3.0 6
    - m2w64-gcc-ada 5.3.0 6
    - m2w64-gcc-fortran 5.3.0 6
    - m2w64-gcc-libgfortran 5.3.0 6
    - m2w64-gcc-libs 5.3.0 7
    - m2w64-gcc-libs-core 5.3.0 7
    - m2w64-gcc-objc 5.3.0 6
    - m2w64-gmp 6.1.0 2
    - m2w64-headers-git 5.0.0.4636.c0ad18a 2
    - m2w64-isl 0.16.1 2
    - m2w64-libiconv 1.14 6
    - m2w64-libmangle-git 5.0.0.4509.2e5a9a2 2
    - m2w64-libwinpthread-git 5.0.0.4634.697f757 2
    - m2w64-make 4.1.2351.a80a8b8 2
    - m2w64-mpc 1.0.3 3
    - m2w64-mpfr 3.1.4 4
    - m2w64-pkg-config 0.29.1 2
    - m2w64-toolchain 5.3.0 7
    - m2w64-toolchain_win-64 2.4.0 0
    - m2w64-tools-git 5.0.0.4592.90b8472 2
    - m2w64-windows-default-manifest 6.4 3
    - m2w64-winpthreads-git 5.0.0.4634.697f757 2
    - m2w64-zlib 1.2.8 10
    - msys2-conda-epoch 20160418 1
  host:
    - _r-mutex 1.0.1 anacondar_1
    - intel-openmp 2021.2.0 h57928b3_616
    - libblas 3.9.0 8_mkl
    - liblapack 3.9.0 8_mkl
    - m2w64-bwidget 1.9.10 2
    - m2w64-bzip2 1.0.6 6
    - m2w64-expat 2.1.1 2
    - m2w64-fftw 3.3.4 6
    - m2w64-flac 1.3.1 3
    - m2w64-gcc-libgfortran 5.3.0 6
    - m2w64-gcc-libs 5.3.0 7
    - m2w64-gcc-libs-core 5.3.0 7
    - m2w64-gettext 0.19.7 2
    - m2w64-gmp 6.1.0 2
    - m2w64-gsl 2.1 2
    - m2w64-libiconv 1.14 6
    - m2w64-libjpeg-turbo 1.4.2 3
    - m2w64-libogg 1.3.2 3
    - m2w64-libpng 1.6.21 2
    - m2w64-libsndfile 1.0.26 2
    - m2w64-libtiff 4.0.6 2
    - m2w64-libvorbis 1.3.5 2
    - m2w64-libwinpthread-git 5.0.0.4634.697f757 2
    - m2w64-libxml2 2.9.3 3
    - m2w64-mpfr 3.1.4 4
    - m2w64-pcre2 10.34 0
    - m2w64-speex 1.2rc2 3
    - m2w64-speexdsp 1.2rc3 3
    - m2w64-tcl 8.6.5 3
    - m2w64-tk 8.6.5 3
    - m2w64-tktable 2.10 5
    - m2w64-wineditline 2.101 5
    - m2w64-xz 5.2.2 2
    - m2w64-zlib 1.2.8 10
    - mkl 2020.4 hb70f87d_311
    - msys2-conda-epoch 20160418 1
    - r-backports 1.2.1 r40h6d2157b_0
    - r-base 4.0.5 hddad469_1
    - r-checkmate 2.0.0 r40h6d2157b_1
    - r-data.table 1.14.0 r40h6d2157b_0
    - r-r6 2.5.0 r40hc72bb7e_0
  run:
    - m2w64-gcc-libs
    - r-backports >=0.1.5
    - r-base >=4.0,<4.1.0a0
    - r-checkmate
    - r-data.table
    - r-r6
test:
  commands:
    - '"%R%" -e "library(''mlr3misc'')"'
about:
  home: https://mlr3misc.mlr-org.com, https://github.com/mlr-org/mlr3misc
  license: LGPL-3.0-only
  license_family: LGPL
  license_file:
    - D:\bld\r-mlr3misc_1624981427613\_h_env/lib/R/share/licenses/LGPL-3
  summary: Frequently used helper functions and assertions used in 'mlr3' and its
    companion packages. Comes with helper functions for functional programming, for
    printing, to work with 'data.table', as well as some generally useful 'R6' classes.
    This package also supersedes the package 'BBmisc'.
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - conda-forge/r
    - pascal-git
